.hero-section {
    margin-bottom: 48px;
}

.hero-section .heading-container .title h1 {
    text-wrap: balance;
    margin-bottom: 10px;
}

.hero-section .heading-container .description {
    text-wrap: balance;
}

/* IMAGE BANNER */
.image-banner-container .container .image-bnr-div {
    margin-top: -128px;
}

.image-banner-container .container .image-bnr-div .img-bnr {
    top: 128px;
    aspect-ratio: 5/3;
    /* overflow: hidden; */
}

.image-banner-container .container .image-bnr-div .img-bnr img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}



/* TEXT UNDER IMG */
.text-under-img {
    background: radial-gradient(circle at 10% 90px, rgba(255, 102, 0, 0.3), transparent 300px), radial-gradient(circle at 100% 250px, rgba(255, 102, 0, 0.3), transparent 300px), #1a3e5c;
    display: flex;
    justify-content: center;
    padding-top: 128px;
}

.text-under-img .container {
    align-content: center;
    padding-top: 5%;
    padding-bottom: 40px;
}

.text-under-img .container h4 {
    color: white;
    text-align: center;
    text-wrap: balance;
    font-weight: 500;
    margin: 0;
}

.text-under-img .container .orange-highlighted-text {
    color: #FF6600;
}

@media only screen and (max-width: 768px) {
    .text-under-img .container {
        padding-top: 48px;
        padding-bottom: 32px;
    }
}

/* LIBRARY SECTION */
.library {
    display: flex;
    justify-content: center;
    margin-top: 48px;
}

.library .container .library-title {
    margin: 0;
    text-align: center;
    /* font-size 58px; */
}

.library .container .library-title span {
    color: #FF6600;
}

.library .container .library-container {
    display: flex;
    gap: 20px;
}

.library .container .library-container .downloads-container {
    width: 40%;
}

.library .container .library-container .video-container .text h4 {
    margin-top: 20px;
    font-size: 38px;
}

.library .container .library-container .video-container {
    margin: 32px 0;
    width: 60%;
}

.library .container .library-container .video-container .video {
    aspect-ratio: 4/3;
    overflow: hidden;
    background-color: #f0f0f0;
}

.library .container .library-container .video-container .video img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    display: block;
}

@media only screen and (max-width: 1200px) {
    .library .container .library-container .video-container .video {
        aspect-ratio: 1/1;
    }
}

@media only screen and (max-width: 1024px) {
    .library .container .library-container .video-container .video {
        aspect-ratio: 3/4;
    }
}

@media only screen and (max-width: 768px) {
    .library {
        margin-top: 32px;
    }

    .library .container .library-container {
        flex-direction: column-reverse;
    }

    .library .container .library-container .video-container .video {
        aspect-ratio: 4/3;
    }

    .library .container .library-container .downloads-container {
        width: 100%;
    }

    .library .container .library-container .video-container {
        width: 100%;
        margin-bottom: 0 !important;
    }

    .cards-container {
        margin: 0 !important;
    }
}

@media only screen and (max-width: 520px) {
    .library {
        margin-top: 16px;
    }

    .library .container .library-container .video-container {
        margin-top: 16px;
    }
}

/* CARDS */
.cards-container {
    display: flex;
    flex-direction: column;
    gap: 20px;
    justify-content: center;
    margin-top: 32px;
    margin-bottom: 32px;
}

.cards-container .card {
    max-width: 719px;
    position: relative;
    z-index: 0;
    outline: 1px solid #adadad;
    width: 100%;
    /* min-height: 380px; */
    padding: 18px 34px;
    /* was 8 24 */
}

.cards-container .card .card-img {
    width: 96px;
    margin-bottom: 12px;
}

.cards-container .card .card-text {
    position: relative;
    overflow: hidden;
}

.cards-container .card .card-text h4 {
    margin-bottom: 84px;
    /* was 64 */
}

.cards-container .card .overlay-block {
    background-color: #FF6600;
    color: white;
    text-decoration: none;
    position: absolute;
    border-top: 16px solid #adadad;
    border-left: 16px solid #adadad;
    border-bottom: 16px solid white;
    border-right: 16px solid white;
    outline: 15px solid white;
    outline-offset: -16px;
    bottom: -1px;
    right: -1px;
    padding: 16px 24px;
    font-size: 14px;
    font-weight: 600;
    z-index: 3;
}

.cards-container .card .overlay-block span {
    display: flex;
    align-items: center;
    font-size: 18px;
}

/* -------------------RESPONSIVE CARDS------------------- */
@media only screen and (max-width: 1536px) {
    .cards-container .card .overlay-block {
        border-top: 10px solid #adadad !important;
        border-left: 10px solid #adadad !important;
        border-bottom: 10px solid white !important;
        border-right: 10px solid white !important;
        outline: 9px solid white !important;
        outline-offset: -10px !important;
    }
}

@media only screen and (max-width: 1200px) {
    .cards-container {
        width: initial;
    }

    .cards-container .card {
        padding: 4px 16px 8px !important;
    }

    .cards-container .card .overlay-block {
        border-top: 7px solid #adadad !important;
        border-left: 7px solid #adadad !important;
        border-bottom: 7px solid white !important;
        border-right: 7px solid white !important;
        outline: 6px solid white !important;
        outline-offset: -7px !important;
    }
}

@media only screen and (max-width: 768px) {

    /* use this class when 2 cards */
    .variant-0 {
        display: grid;
        grid-template-columns: 100% !important;
    }

    .cards-container {
        display: grid;
        grid-template-columns: 100%;
        gap: 20px;
        justify-content: center;
    }

    .cards-container .card {
        width: 100%;
        /* min-height: 300px; */
    }
}


/* POSTS SECTION */
.posts-section {
    display: flex;
    justify-content: center;
}

.desktop-filters {
    margin: 32px 0;
    display: flex;
    flex-wrap: wrap;
    gap: 24px;
    align-items: center;
}

.desktop-filters .filter-link {
    text-decoration: none;
    color: #1a3e5c;
    font-size: 20px;
    font-weight: 500;
    padding-bottom: 5px;
    border-bottom: 2px solid transparent;
    transition: color 0.3s, border-color 0.3s;
}

.desktop-filters .filter-link:hover,
.desktop-filters .filter-link.active {
    color: #FF6600;
    border-bottom-color: #FF6600;
}

.mobile-filter {
    display: none;
    margin: 24px 0;
    width: 100%;
}

.articles-container {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 20px;
    justify-content: center;
}

.articles-container .card {
    width: 100%;
    display: flex;
    flex-direction: column;
    overflow: hidden;
}

.articles-container .card .card-media {
    position: relative;
    aspect-ratio: 16/9;
    max-width: 100%;
}

.articles-container .card .card-media .overlay-block-arrow {
    will-change: transform;
    background-color: white;
}

.articles-container .card .card-media a {
    padding: 8px;
}

/* .articles-container .card .card-media img {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
    z-index: 1;
} */

.articles-container .card .card-content {
    position: relative;
    background-color: white;
    flex-grow: 1;
}

.card-content .tag {
    display: flex;
    margin: 10px 0;
}

.articles-container .card .card-content .tag h5 {
    color: #FF6600;
    margin: 0;
    background-color: #ffe2d8;
    padding: 8px 16px;
    font-size: 18px;
}

.articles-container .card .card-content h4 {
    margin-bottom: 16px;
    display: -webkit-box;
    -webkit-line-clamp: 3;
    -webkit-box-orient: vertical;
    overflow: hidden;
    text-overflow: ellipsis;
    word-break: break-word;
    font-size: 16px;
}

.articles-container .card .card-content h4 a {
    text-decoration: none;
    color: inherit;
    font-size: inherit;
}

/* PAGINATION STYLING */
.pagination {
    margin: 16px 0;
    text-align: center;
}

.pagination .page-numbers {
    display: inline-block;
    padding: 6px 8px;
    margin: 0 5px;
    border: 1px solid #adadad;
    text-decoration: none;
    color: initial;
    font-size: 20px;
    vertical-align: middle;
    align-content: center;
    min-width: 40px;
    min-height: 40px;
    width: 40px;
    height: 40px;
}

.pagination .page-numbers.prev,
.pagination .page-numbers.next {
    padding: 0;
    display: inline-flex;
    align-items: center;
    justify-content: center;
}

.pagination .prev .prev-arrow {
    display: inline-flex;
    transform: scaleX(-1);
}

.pagination svg {
    width: 22px;
    height: 22px;
}

.pagination .page-numbers:hover,
.pagination .page-numbers.current {
    background-color: #FF6600;
    color: white;
    border-color: #FF6600;
}


@media only screen and (max-width: 768px) {
    .pagination {
        margin-top: 0;
    }
}



/* NEWSLETTER SECTION */
.newsletter-section {
    display: flex;
    justify-content: center;
    margin-top: 16px;
    margin-bottom: 32px;
}

.newsletter-section .container {
    margin-bottom: 32px;
    display: grid;
    grid-template-columns: 45% 55%;
    /* changed from 50 50 which is default */
    align-items: center;
    gap: 10px;
}

/* .newsletter-section .container .newsletter-text h2 {
    font-size 58px;
} */

.newsletter-section .container .newsletter-text h2 span {
    color: #FF6600;
}

.newsletter-section .container .newsletter-text p:first-of-type {
    margin-bottom: 0;
}

.newsletter-section .container .newsletter-text .subscribe-container {
    display: flex;
}

.newsletter-section .container .newsletter-text .subscribe-container input {
    border: 1px solid #adadad;
    border-right: none;
    padding: 0 20px;
    font-size: 18px;
}

.newsletter-section .subscribe-container .btn_orange {
    flex-shrink: 0;
    white-space: nowrap;
}

.newsletter-section .subscribe-container .btn_orange>span {
    font-size: 16px;
}

.newsletter-section .container.dmarketing-hero .container .dmarketing-hero-title h1,
.newsletter-section .container.dmarketing-hero .container .dmarketing-hero-title p,
.newsletter-section .container.dmarketing-hero .container .dmarketing-hero-title a {
    text-align: start;
}

.newsletter-section .container .newsletter-image {
    position: relative;
    z-index: 1 !important;
    width: 90%;
    max-width: 550px;
    justify-self: start;
    aspect-ratio: 1 / 1;
    margin-top: 20px;
}

.newsletter-section .container .newsletter-image::before {
    content: '';
    position: absolute;
    width: 90%;
    height: 60%;
    background-color: #ff6f3c;
    bottom: -7%;
    left: -7%;
    z-index: -1;
}

.newsletter-section .container .newsletter-image img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    object-position: center;
}

.cta-section .cta-block .full-container .cta-content-container .cta-content h4 {
    font-size: 48px;
}

/* RESPONSIVE STYLES */

@media screen and (max-width: 1536px) {
    .desktop-filters .filter-link {
        font-size: 18px;
    }


    /* pagination page-numbers {
        font-size: 24px;
        min-width: 50px;
        min-height: 50px;
        width: 50px;
        height: 50px;
    } */
    .pagination .page-numbers {
        font-size: 20px;
        min-width: 40px;
        min-height: 40px;
        width: 40px;
        height: 40px;
    }

    .newsletter-section .container .newsletter-text .subscribe-container input {
        font-size: 16px;
    }

    .newsletter-section .subscribe-container .btn_orange {
        padding: 12px 16px;
    }

    .newsletter-section .subscribe-container .btn_orange>span {
        font-size: 16px;
    }
}

@media only screen and (max-width: 1440px) {

    .articles-container .card .card-content .tag h5 {
        font-size: 14px;
    }

    .library .container .library-container .downloads-container .cards-container .card .card-text h4 {
        font-size: 20px;
        /* not in use */
    }

    .newsletter-section .container .newsletter-text h2 {
        font-size: 32px;
    }
}

@media only screen and (max-width: 1200px) {
    .articles-container {
        grid-template-columns: repeat(2, 1fr);
    }

    .newsletter-section .container .newsletter-text .subscribe-container input {
        font-size: 14px;
    }

    .newsletter-section .subscribe-container .btn_orange {
        padding: 10px 14px;
    }

    .newsletter-section .subscribe-container .btn_orange>span {
        font-size: 14px;
    }
}

@media only screen and (max-width: 1024px) {
    .desktop-filters .filter-link {
        font-size: 16px;
    }



    .newsletter-section .container {
        display: flex;
        flex-direction: column;
    }

    .newsletter-section .container .newsletter-image {
        margin-top: 0;
        margin-bottom: 52px;
    }

    .newsletter-section .container .newsletter-text h2 {
        font-size: 28px;
        text-align: center;
    }
}

@media only screen and (max-width: 768px) {

    .articles-container {
        grid-template-columns: 1fr;
        gap: 25px;
    }

    .filters {
        justify-content: end;
    }

    .filters #category-filter {
        width: 100%;
        font-size: 14px;
        border: 1px solid #adadad;
        background-color: white;
        min-width: 150px;
        color: #1a3e5c;
        cursor: pointer;

        appearance: none;
        -webkit-appearance: none;
        -moz-appearance: none;

        background-image: url('data:image/svg+xml,<svg width="24" height="24" viewBox="0 0 24 24" fill="none" xmlns="http://www.w3.org/2000/svg"><path d="M6 9L12 15L18 9" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" stroke="%231a3e5c"/></svg>');
        background-repeat: no-repeat;
        background-position: right 10px center;
        background-size: 16px;

        padding: 10px 35px 10px 10px;
    }

    .pagination {
        margin-top: 0;
    }

    .pagination .page-numbers {
        font-size: 18px;
        min-width: 40px;
        min-height: 40px;
        width: 40px;
        height: 40px;
    }

    .newsletter-section {
        margin-top: 64px;
        margin-bottom: 0;
    }

    .newsletter-section .container .newsletter-text .subscribe-container {
        justify-content: center;
    }

    .subscribe-container input {
        width: 50%;
        padding: 16px;
    }

    .subscribe-container .btn_orange {
        padding: 16px;
    }

    /* filters */
    .desktop-filters {
        display: none;
    }

    .mobile-filter {
        display: inline-block;
    }

    .filters {
        justify-content: flex-end;
    }
}

@media only screen and (max-width: 520px) {
    .newsletter-section .container .newsletter-text .subscribe-container input {
        font-size: 14px;
    }
}